<nz-page-header [nzTitle]="'Social.Community.Help' | translate">
  <nz-page-header-title>
  </nz-page-header-title>
</nz-page-header>

<div style="text-align: center">
  {{ "Common.Extra.Support.IfYouNeedHelp" | translate }}
</div>
<div style="text-align: center">
  {{ "Common.Extra.Support.BeforeSendingATicket" | translate }}
</div>

<nz-table [nzLoading]="isLoading" #basicTable [nzData]="list" nzSize="small">
  <thead>
    <tr>
      <th nzWidth="50px"></th>
      <th>{{ "Common.Extra.Support.Subject" | translate }}</th>
      <th>{{ "Common.Extra.Support.Status" | translate }}</th>
      <th>{{ "Common.Extra.Support.Category" | translate }}</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let item of basicTable.data">
      <td>
        <a href="" [routerLink]="['/support', item.id]">
          <button nz-button nzSize="small" nzShape="round" [nz-tooltip]="'Common.Buttons.View' | translate">
            <span nz-icon nzType="eye" nzTheme="outline"></span>
          </button>
        </a>
      </td>
      <td>{{ item.title }}</td>
      <td>{{ item.status?.symbol }}</td>
      <td>{{ item.type?.symbol }}</td>
    </tr>
  </tbody>
</nz-table>

<div nz-row>
  <div nz-col nzSpan="4" nzOffset="20">
    <button nz-button nzShape="round" nzType="primary" style="background-color: green"
      [routerLink]="['/support/create']">
      {{ "Common.Buttons.Create" | translate }}
    </button>
  </div>
</div>